/*
Theme Name: Storefront Child
Theme URI: https://woocommerce.com/storefront
Template: storefront
Author: Jacinta
Updated: 2020-11-23 13:45

Categories
- Header
- Sidebar
- Content
- Product Catalog Display
- Single Product Page
- Buttons
- Table
- Registration
- Cart
- Checkout
- Dashboard & subpages
    - Pending Orders
    - Completed Orders
    - Current Inventory
- Footer

*/

/* Header*/

.site-header {
	padding-top:32px;
	border-bottom:0;
}

.site-header .site-branding {
	clear:none;
	padding-top: 15px;
	margin-left: -16px;
	padding-bottom: 8px;
	
}

.site-header .site-branding img {
	max-width: 210px;
}

.storefront-primary-navigation {
        background-color: lightgrey;
        height:55px;
        padding-top:0.5%;
        
}

.secondary-navigation {
	
	padding-top: 15px;
	width: 53% !important;
	margin:0px!important;
	display:inline-block;
}

.secondary-navigation .menu {
	font-size:14px;
}

.woocommerce-active .site-header .main-navigation {
	margin-top:-1%;
}

.main-navigation ul.menu>li>a, .main-navigation ul.nav-menu>li>a {
	padding-right: 9px;
	padding-left: 16px;
}

.woocommerce-active .site-header .site-header-cart {
    
	width:16%;
	padding-left: 16px;
}

.site-header .col-full {
	padding: 0 2.617924em !important;
}

/* Sidebar */

/* Content*/

.site-main {
    padding-top: 0 !important;
}


.entry-content { 
	max-width:100% !important;
	/*margin-top:-20%;*/
}

.col-full{
	margin-top: -28px;
}

/* Product Catalog Display */

.columns-3 + .storefront-sorting {
	display:none;
}

.storefront-sorting {
	float:right;
}

.woocommerce-result-count {
	display:none;
}

#hydroponicslogo img{
	margin-top: -10%;
	max-width: 150px;
	float: right;
}
.woocommerce-products-header__title {
    clear: left;
}

.cat-description {
    font-size: 14px;
    padding-bottom: 1%;
}

/* Single Product Page */

.single-product.woocommerce-page #primary {
  float: none;
  width:100%;
  padding-top:2%;
}

.single-product .content-area {
    width: 73.9130434783%;
    float: left;
    margin-right: 4.347826087%;
}

.single-product.woocommerce-page .product-name {
	
    border-bottom: 2px solid;
    padding-bottom: 10px;
    border-color: lightgrey;
    font-size: 27px;
    color: #6d6d6d;
    line-height: 1.214;
    letter-spacing: -1px;
    font-weight: 300;
}

.single-product.woocommerce-page .sku {
	
    padding-top: 10px;
}

.single-product div.product p.price {
	font-weight: bold;
	display: block;
	font-size:1.41575em;
	margin: 0.5em 0;
    height:35px;
}

.woocommerce-variation-price {
    display:none;
}

.flex-active-slide img {
    margin-left: auto !important;
    margin-right: auto !important;
}

.variable-items-wrapper[data-attribute_name="attribute_pa_delivery-type"] li { 
    
    width: 100%;
    height: auto;
    max-width: 100px;
}

.woo-variation-swatches .variable-items-wrapper .variable-item img {
    height: auto;
}

.woocommerce-message {
    margin-top: 0 !important;
}

/* Buttons */

button, input[type="button"], input[type="reset"], input[type="submit"], .button, .added_to_cart, .widget a.button, .site-header-cart .widget_shopping_cart a.button, a.checkout-button, .dashboard_button {
    background-color: #7c98b2 !important;
    border-color: #7c98b2 !important;
    color: #ffffff !important;
}

button:hover, input[type="button"]:hover, input[type="reset"]:hover, input[type="submit"]:hover, .button:hover, .added_to_cart:hover, .widget a.button:hover, .site-header-cart .widget_shopping_cart a.button:hover, .dashboard_button:hover {
    background-color: #5d7f9e !important;
    border-color: #5d7f9e !important;
    color: #ffffff !important;
}

.dashboard_button {
    padding: 10px;
    text-decoration: none !important;
}

.woocommerce-message .wc-forward {
    background-color:rgba(0,0,0,0) !important;
}

.wc-forward::after, .woocommerce-Button--next::after {
    content: '';
}

#jcmc-wrap .jcmc-nextprev, #jcmc-wrap .jcmc-nextprev:visited {
    background-color: #5d7f9e !important;
    border-color: #5d7f9e !important;
    color: #ffffff !important;
    text-decoration: none;
}

.own-pending-orders .view_order_details , .own-completed-orders .view_order_details, .customers-orders .view_order_details, .customers-orders .update_order  {
    padding: 0.5em; 
}

.filter_button {
    padding: 0.4em 1em;
}

/* Table */

/*table th {*/
/*	background-color: #8c80ff !important;*/
/*    color: #ffffff;*/

/*}*/

table:not( .has-background ) tbody td {
    background-color: rgba(0,0,0,0) !important;
}

.woocommerce-checkout-review-order-table {
    
    table-layout: fixed;
}

.own-pending-orders , .customers-orders , .own-completed-orders {
    font-size:15px;
}

.own-pending-orders thead , .order thead , .woocommerce-checkout-review-order-table thead th , .customers-orders thead tr , .own-completed-orders thead tr  , .ro_product thead tr , .ro_products thead tr, .best-customers thead tr{
	background-color: #8c80ff !important;
    color: #ffffff;
}

.woocommerce-checkout-review-order-table thead th {
    border-bottom: 1px solid #cacaca;
}

/* Registration */

.form-account_cust_type input ,  .form-account_cust_type label , .form-existing-cust input , .form-existing-cust label , .form-shipping-duplicate input , .form-shipping-duplicate label {
    display:inline-block;
	vertical-align:middle;
}

.form-company-name , .form-entity-no { 
    display:none;
}

.platform-form { 
    display:none;
}

/* Cart */

.referral {
    float: left;
}

/* Checkout */

li.woocommerce-order-overview__date.date {
    padding-left: 0% !important;
}

.woocommerce-order-table {
    table-layout: fixed;
}

table.woocommerce-checkout-review-order-table .product-name {
    width: 35% !important;
}

#payment .payment_methods li img {
    float:left;
    max-height: 200px;
    width: auto;
    padding-right:80%;
}

/* Dashboard  & subpages */

    /* Autocomplete */
    
    .ui-autocomplete {
        background-color: lightgrey;
        list-style-position: inside;
        display: inline-block;
        padding-left:10px;
        padding-right:10px;
    }
    
    .ui-autocomplete div {
        display: inline-block;
    }
    
    .ui-autocomplete li {
        border-bottom: 2px solid #e7e7e7;
    }

    /* Pending Order */
    .container {
          width: 600px;
          margin: 100px auto; 
    	 margin-top:0;
      }
     
     .progressbar {
          counter-reset: step;
      }
     
     .progressbar li {
          list-style-type: none;
          width: 20%;
          float: left;
          font-size: 12px;
          position: relative;
          text-align: center;
          text-transform: uppercase;
          color: #7d7d7d;
      }
     
     .progressbar li:before {
          width: 30px;
          height: 30px;
          content: counter(step);
          counter-increment: step;
          line-height: 30px;
          border: 2px solid #7d7d7d;
          display: block;
          text-align: center;
          margin: 0 auto 10px auto;
          border-radius: 50%;
          background-color: white;
      }
     
     .progressbar li:after {
          width: 100%;
          height: 2px;
          content: '';
          position: absolute;
          background-color: #7d7d7d;
          top: 15px;
          left: -50%;
          z-index: -1;
      }
     
     .progressbar li:first-child:after {
          content: none;
      }
     
     .progressbar li.active {
          color: #8c80ff;
      }
     
     .progressbar li.active:before {
          border-color: #8c80ff;
    	  background-color: #8c80ff;
    	  color: #ffffff;
      }
     
     .progressbar li.active + li:after {
          background-color: #8c80ff;
      }
      
      #userAdd {
        float: left;
        height: 280px;
        width: 50%;
        padding-left: 50px;
        border-top: 2px solid lightgrey;
        border-left: 2px solid lightgrey;
        border-bottom: 2px solid lightgrey;
    }
    
    #shippingAdd {
        float: right;
        height: 280px;
        width: 50%;
        border-top: 2px solid lightgrey;
        border-right: 2px solid lightgrey;
        border-bottom: 2px solid lightgrey;
    }
    
    .details_title {
        float: left;
        padding-bottom: 20px;
    }
    
    /* Completed Order */
    
    .woocommerce-rate-item-table .product-image {
        width:200px;
    }
    
    .star-widget {
        float: left;
        overflow: hidden;
    }
    
    .star-widget label{
        box-sizing: border-box;
        font-size: 40px;
        padding: 10px;
        float: right;
        cursor: pointer;
        color: #444;
        transition: all 0.2s ease;
    }
    
    .star-widget:not(:checked) > label:before {
        content: '★ ';
    }
    
    .star-widget:not(:checked) ~ label:hover,
    .star-widget:not(:checked) ~ label:hover ~ label{
        color: gold;
        text-shadow:1px 1px goldenrod, 2px 2px #B57340, .1em .1em .2em rgba(0,0,0,.5);
        
    }
    
    .star-widget:checked ~ label{
        color: #f70;
        text-shadow:1px 1px #c60, 2px 2px #940, .1em .1em .2em rgba(0,0,0,.5);
        
    }
    
    .rate > input:checked + label:hover,
    .rate > input:checked + label:hover ~ label,
    .rate > input:checked ~ label:hover,
    .rate > input:checked ~ label:hover ~ label,
    .rate > label:hover ~ input:checked ~ label {
        color: #ea0;
        text-shadow:1px 1px goldenrod, 2px 2px #B57340, .1em .1em .2em rgba(0,0,0,.5);
    }
    
    .star-widget input[type="radio"] { 
        display:none;
    }
    
    /* Current Inventory */
    
    .pdt-image img {
    	max-width:150px;
    }
    
    /* The Modal (background) */
    .modal, .myModal {
      display: none; /* Hidden by default */
      position: fixed; /* Stay in place */
      z-index: 1; /* Sit on top */
      left: 0;
      top: 0;
      width: 100%; /* Full width */
      height: 100%; /* Full height */
      overflow: auto; /* Enable scroll if needed */
      background-color: rgb(0,0,0); /* Fallback color */
      background-color: rgba(0,0,0,0.4); /* Black w/ opacity */
    }
    
    /* Modal Content/Box */
    .imgModal-content, .modal-content {
      background-color: #fefefe;
      margin: 20% auto; /* 15% from the top and centered */
      padding: 20px;
      border: 1px solid #888;
      width: 80%; /* Could be more or less, depending on screen size */
    }
    
    /* The Close Button */
    .close {
      color: #aaa;
      float: right;
      font-size: 28px;
      font-weight: bold;
    }
    
    .close:hover,
    .close:focus {
      color: black;
      text-decoration: none;
      cursor: pointer;
    }
    
/* Map */    

#mapTest {
    /*overflow: visible !important;*/
    /*border-color: black;*/
    /*margin-top: 18%;*/
    height: 600px;
}

html,
body {
  height: 100%;
  margin: 0;
  padding: 0;
}


/* Footer*/

.site-footer {
    padding-bottom: 0px !important;
}

.site-footer .col-full {
	padding: 0 2.617924em !important;
}


#footer {
    overflow:hidden;
}

#footer td{
    width:50%;
}

#footer a {
    
    font-size: 0.8em;
}

#footer a:hover, #footer a:active { 
    text-decoration: underline;
    color: red;
}

.giftshubAddress {
    display: inline-block !important;
    font-size: 0.8em;
}

#giftshubAddressImg {
    display: inline-block !important;
}

.giftshubEmail {
    display: inline-block !important;
    padding-left: 0.5em;
    font-size: 0.8em;
}

#giftshubEmailImg {
    display: inline-block !important;
    vertical-align: middle;
}

.site-info {
    padding: 1em 0 1em 1em;
    font-weight:600;
    font-size: 1em;
}

#footer tbody td {
   
    background-color: #f0f0f0 !important;
    margin-top:10px;
}

#footer td {
   
    padding:0px !important;
}

/* For Phone (800x600px)*/

@media only screen and (min-width:320px) and (max-width:799px) { 
    
    /* Header & Topbar (Phone) */
    
    .site-branding {
        width:50%;
    }
    
    .site-header .col-full {
        padding : 0 !important;
    }
    
    #menu-login-register {
        list-style: none;
        margin-left: -1em;
    }
    
    #menu-login-register li{
        display: inline-block;
        float: right;
    }
    
    .secondary-navigation {
        padding-top: 0px; 
        width: 45% !important;
        padding-bottom: 12%;
        float: right;
    }
    
    .secondary-navigation .menu {
        list-style: none;
    }
    
    .secondary-navigation .menu a {
        padding: 1em .875em;
        color: #737781;
        font-weight: 400;
    }
    
    .site-search {
        width:50%;
        float:right;
        display: block;
        margin-top: -10%;
    }
    
    .site-search .widget_product_search input[type=search] {
        padding-bottom: 0.5em;
    }
    
    .main-navigation {
        float: left;
    }
    
    .storefront-primary-navigation {
        height:50px;
        margin-top: 105px;
    }
    
    .menu-toggle {
        float: left !important;
        background-color: lightgrey !important;
        border-color: lightgrey !important;
        color: #000000 !important;
    }
    
    
    .dropdown-toggle {
        
        background-color: #f0f0f0 !important;
        border-color: #f0f0f0 !important;
        color: #000000 !important;
    }
    
    .handheld-navigation ul.menu .sub-menu {
        visibility: visible !important;
    }
    
    .main-navigation ul li {
        
        background-color: #f0f0f0;
    }
    
    .menu-toggle:hover, .menu-toggle:active {
        background-color: lightgrey !important;
        border-color: lightgrey !important;
    }
    
    .dropdown-toggle:hover, .dropdown-toggle:active{
        background-color: #f0f0f0 !important;
        border-color: #f0f0f0 !important;
    }
    
    .main-navigation ul li a{
        color: #000000;
        font-size:14px;
    }
    
    .handheld-navigation{
        position: absolute;
        margin-top: 50px;
        width:60%;
    }
    
    .woocommerce-active .site-header .main-navigation {
        width:60%;
        display: block;
    }
    
    .primary-navigation .nav-menu {
        margin-top: 20px;
    }
    
    .primary-navigation .menu-item a {
        padding-top: 0px !important;
        padding-bottom: 0px !important;
    }
    
    .woocommerce-active .site-header .site-header-cart {
    
        float: right;
        width: 40%;
        font-size: 12px;
        padding: 0px;
        margin-top: 20px;
    }
    
    .site-header-cart .cart-contents {
        display: block;
    }
    
    .site-header-cart .cart-contents .count {
        font-weight: 700;
        opacity: .5;
        font-size: .875em;
        padding-left: 10%;
        padding-right:10px;
    }
    
    .site-header-cart .cart-contents::after {
        -webkit-font-smoothing: antialiased;
        -moz-osx-font-smoothing: grayscale;
        display: inline-block;
        font-style: normal;
        font-variant: normal;
        font-weight: normal;
        line-height: 1;
        vertical-align: -.125em;
        font-family: 'Font Awesome 5 Free';
        content: "\f291";
        height: 1em;
        float: right;
        margin-top: 2%;
    }
    
    .site-header-cart .widget_shopping_cart, .main-navigation ul.menu ul.sub-menu, .main-navigation ul.nav-menu ul.children {
        background-color: #f0f0f0;
    }
    
    .site-header-cart:hover .widget_shopping_cart, .site-header-cart:active .widget_shopping_cart {
        display: block;
        margin-top: 10px;
    }

    .site-header-cart .widget_shopping_cart {
        position: absolute;
     
    }
    
    /* Content (Phone) */
    
    .storefront-breadcrumb {
        margin-top: 5%;
    }
    
    .site-footer .col-full {
    
        padding:0px !important;
    }
    
    .container {
        max-width:100%;
    }
    
    #hydroponicslogo img {
        max-width:20%;
    }
    
    .page-template-template-homepage .entry-content {
        font-size: 1em;
    }
    
    .widget-area {
		position: fixed;
        top: 120px;
        background-color: white;
        opacity: 90%;
	}
    
    /* Checkout (Phone) */
    
    .jcmc-tabs {
        font-size: 14px;
        display: flex;
    }
    
    .jcmc-tabs li {
        width:30% !important;
    }
    
    .jcmc-tab-span {
        height: 80px;
    }
    
    .woocommerce-checkout-review-order-table, .woocommerce-order-table {
        table-layout: auto;
        font-size: 16px;
    }
    
    ul.order_details li {
        padding: 1em;
        font-size: 10px;
    }
    
    /* Table (Phone) */
    
    .filter {
        table-layout: fixed;
    }
    
    .filter .orderRange{
        width: 50%;
    }
    
    .filter:not( .orderRange ) td {
        width:25%;
    }
    
    /* Buttons (Phone) */
    
    .filter_button {
        font-weight: 500;
        padding: 0.1em 0.7em;
    }
    
    .order-sorting {
        max-width: 60%;
    }
    
    /* Footer (Phone) */
    
    #footer td {
        width: 70%;
    }
    
    #gattAddressImg {
        padding-top: 3%;
    }
    
    .gattAddress div {
        max-width:150px;
    }
    
    .gattEmail {
        padding-top:5%;
    }
    
    #gattEmailImg {
        padding-top: 4%;
    }
    
    .gattEmail div {
        max-width:150px;
    }
    
}

/* For Tablet (1024x768)*/
@media only screen and (min-width:800px) and (max-width:1024px) {

    .secondary-navigation {
        padding-top: 0px; 
        
    }
    
    .site-header .col-full {
        padding : 0 !important;
        font-size: 70%;
    }
    
    .woocommerce-active .site-header .main-navigation {
        width: 68%;
        margin-right: 0%; 
    }

    .woocommerce-active .site-header .site-header-cart {
    
        width:30%;
    }    
    
    ul.products li.product .woocommerce-loop-product__title, ul.products li.product h2, ul.products li.product h3 {
        
        font-size: 1em;
        
    }
    
    .storefront-breadcrumb {
        margin-top: 5%;
        padding:0;
    }
    
    .page-template-template-homepage .entry-content {
        font-size: 1em;
    }
    
    .entry-content {
        margin-top: 0%; 
    }
    
    .wc-proceed-to-checkout .button.checkout-button {
        font-size: 93%;
    }
    
    .site-footer .col-full {
        padding:0 !important;
    }
    
    .gattAddress div {
        max-width:250px;
    }
    
    .gattEmail {
        padding-top:5%;
    }
    
    .gattEmail div {
        max-width:250px;
    }
    
}